### Property

# Gio TlsConnection:base-io-stream

since: 2.28

#### Declaration

    property base-io-stream: Gio.IOStream [ read, write, construct-only ]

#### Description

The `GIOStream` that the connection wraps. The connection holds a reference to this stream, and may run operations on the stream from other threads throughout its lifetime. Consequently, after the `GIOStream` has been constructed, application code may only run its own operations on this stream when no `GIOStream` operations are running.

Type: | `GIOStream`
Available since: | 2.28

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes